/*******************************************************************************
 * MorphNodeWeightByBoneRotation generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class MorphNodeWeightByBoneRotation extends MorphNodeWeightBase
    native(Anim)
    hidecategories(Object,Object,Object);

var const transient float Angle;
var const transient float NodeWeight;
var() name BoneName;
var() Core.Object.EAxis BoneAxis;
var() bool bInvertBoneAxis;
var(Material) bool bControlMaterialParameter;
var() array<BoneAngleMorph> WeightArray;
var(Material) int MaterialSlotId;
var(Material) name ScalarParameterName;
var transient MaterialInstanceConstant MaterialInstanceConstant;

defaultproperties
{
    BoneAxis=EAxis.AXIS_Y
    WeightArray(0)=(Angle=0.0,TargetWeight=0.0)
    WeightArray(1)=(Angle=90.0,TargetWeight=1.0)
    NodeConns(0)=(ChildNodes=none,ConnName=In,DrawY=0)
}